(maint) allow setting PUPPET_VERSION in acceptance
[puppet_vcsrepo.git] / Gemfile
diff --git a/Gemfile b/Gemfile
index e1ae0fa..2b1b7cd 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -11,23 +11,18 @@ def location_for(place, fake_version = nil)
 end
 
 group :development, :unit_tests do
-  gem 'rake',                    :require => false
   gem 'rspec-core', '3.1.7',     :require => false
-  gem 'rspec-puppet', '~> 1.0',  :require => false
   gem 'puppetlabs_spec_helper',  :require => false
-  gem 'puppet-lint',             :require => false
   gem 'simplecov',               :require => false
   gem 'puppet_facts',            :require => false
   gem 'json',                    :require => false
 end
 
-beaker_version = ENV['BEAKER_VERSION']
-beaker_rspec_version = ENV['BEAKER_RSPEC_VERSION']
 group :system_tests do
-  if beaker_version
+  if beaker_version = ENV['BEAKER_VERSION']
     gem 'beaker', *location_for(beaker_version)
   end
-  if beaker_rspec_version
+  if beaker_rspec_version = ENV['BEAKER_RSPEC_VERSION']
     gem 'beaker-rspec', *location_for(beaker_rspec_version)
   else
     gem 'beaker-rspec',  :require => false
@@ -35,6 +30,8 @@ group :system_tests do
   gem 'serverspec',    :require => false
 end
 
+
+
 if facterversion = ENV['FACTER_GEM_VERSION']
   gem 'facter', facterversion, :require => false
 else